package inventoryservicelogic

import (
	"context"

	"app-cloudep-trade-service/gen_result/pb/trade"
	"app-cloudep-trade-service/internal/svc"

	"github.com/zeromicro/go-zero/core/logx"
)

type QueryStockLogic struct {
	ctx    context.Context
	svcCtx *svc.ServiceContext
	logx.Logger
}

func NewQueryStockLogic(ctx context.Context, svcCtx *svc.ServiceContext) *QueryStockLogic {
	return &QueryStockLogic{
		ctx:    ctx,
		svcCtx: svcCtx,
		Logger: logx.WithContext(ctx),
	}
}

// QueryStock 查詢單一商品的庫存
func (l *QueryStockLogic) QueryStock(in *trade.StockQueryReq) (*trade.StockResp, error) {
	// todo: add your logic here and delete this line

	return &trade.StockResp{}, nil
}
